be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class GetHistoryResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.ResponseType
  - - be.fgov.ehealth.ehbox.consultation.protocol.v3.GetHistoryResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:54:09+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetHistoryResponse
      extends ResponseType
      implements Serializable

  Java class for GetHistoryResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetHistoryResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
             <sequence minOccurs="0">
               <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetHistoryResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getMessageIds()` Gets the value of the messageIds property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

      `getId, getStatus, setId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetHistoryResponse

          public GetHistoryResponse()

  - ### Method Detail

    - #### getMessageIds

          public List<String> getMessageIds()

      Gets the value of the messageIds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageIds property.

      For example, to add a new item, do as follows:

              getMessageIds().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Connector Packaging PERSDIETICIAN 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.